#
# spec file for package xreader
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover   3
%define typelib1 typelib-1_0-XreaderDocument-1_5
%define typelib2 typelib-1_0-XreaderView-1_5
Name:           xreader
Version:        1.6.2
Release:        lp150.1.8
Summary:        Document viewer for documents like PDF/PostScript
License:        GPL-2.0 AND LGPL-2.0
Group:          Productivity/Office/Other
Url:            https://github.com/linuxmint/xreader
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  libtiff-devel >= 3.6
BuildRequires:  pkgconfig
BuildRequires:  texlive-devel
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.17
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(libgxps) >= 0.2.0
BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  pkgconfig(libsecret-1) >= 0.5
BuildRequires:  pkgconfig(libspectre) >= 0.2.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  pkgconfig(poppler-glib) >= 0.22.0
BuildRequires:  pkgconfig(sm) >= 1.0.0
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-backends = %{version}
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires
%if 0%{?suse_version} > 1320 || (0%{?sle_version} > 120200 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(libcaja-extension)
%endif
%if 0%{?suse_version} >= 1320 || (0%{?sle_version} >= 120100 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.4.3
%endif

%description
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%lang_package

%package -n libxreaderdocument%{sover}
Summary:        X-Apps Document Reader -- System Library
Group:          System/Libraries

%description -n libxreaderdocument%{sover}
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%package -n libxreaderview%{sover}
Summary:        X-Apps Document Reader -- System Library
Group:          System/Libraries

%description -n libxreaderview%{sover}
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%package -n %{typelib1}
Summary:        XReaderDocument -- Introspection Bindings
# typelib-1_0-XreaderDocument-1_5_0 was last used in openSUSE Leap 42.3.
Group:          System/Libraries
Provides:       typelib-1_0-XreaderDocument-1_5_0 = %{version}
Obsoletes:      typelib-1_0-XreaderDocument-1_5_0 < %{version}

%description -n %{typelib1}
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%package -n %{typelib2}
Summary:        XReaderView -- Introspection Bindings
# typelib-1_0-XreaderView-1_5_0 was last used in openSUSE Leap 42.3.
Group:          System/Libraries
Provides:       typelib-1_0-XreaderView-1_5_0 = %{version}
Obsoletes:      typelib-1_0-XreaderView-1_5_0 < %{version}

%description -n %{typelib2}
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%package backends
Summary:        XReader shared libraries (View and Document)
Group:          System/Libraries

%description backends
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%package -n nemo-extension-%{name}
Summary:        X-Apps Document Reader file manager extension
Group:          Productivity/Office/Other
Requires:       %{name} = %{version}
Requires:       nemo
Recommends:     nemo-extension-sendto

%description -n nemo-extension-%{name}
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

This package contains the xreader extension for the Nemo file
manager. It adds an additional tab called "Document" to the file
properties dialog.

%if 0%{?suse_version} > 1320 || (0%{?sle_version} > 120200 && 0%{?is_opensuse})
%package -n caja-extension-%{name}
Summary:        X-Apps Document Reader file manager extension
Group:          Productivity/Office/Other
Requires:       %{name} = %{version}
Requires:       caja
Recommends:     caja-extension-sendto

%description -n caja-extension-%{name}
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

This package contains the xreader extension for the Caja file
manager. It adds an additional tab called "Document" to the file
properties dialog.
%endif

%package devel
Summary:        X-Apps Document Reader development files
Group:          Development/Libraries/C and C++
Requires:       %{name}-backends = %{version}
Requires:       %{typelib1} = %{version}
Requires:       %{typelib2} = %{version}

%description devel
Xreader is a document viewer capable of displaying multiple and
single page document formats like PDF and Postscript.

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
  --disable-static                    \
  --libexecdir=%{_libexecdir}/%{name} \
%if 0%{?suse_version} <= 1320 && !(0%{?sle_version} > 120200 && 0%{?is_opensuse})
  --disable-caja                      \
%endif
  --enable-introspection              \
  --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file -r %{name} GTK Office Viewer
%fdupes %{buildroot}%{_datadir}/

%post -n libxreaderview%{sover} -p /sbin/ldconfig

%postun -n libxreaderview%{sover} -p /sbin/ldconfig

%post -n libxreaderdocument%{sover} -p /sbin/ldconfig

%postun -n libxreaderdocument%{sover} -p /sbin/ldconfig

%if 0%{?suse_version} <= 1320
%post
%icon_theme_cache_post
%desktop_database_post
%mime_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_post
%desktop_database_postun
%mime_database_postun
%glib2_gsettings_schema_post
%endif

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}-previewer
%{_bindir}/%{name}-thumbnailer
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/%{sover}/
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/%{name}*
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/C/%{name}/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man?/*.?%{?ext_man}

%files lang -f %{name}.lang

%files -n libxreaderview%{sover}
%doc AUTHORS COPYING README
%{_libdir}/libxreaderview.so.%{sover}*

%files -n libxreaderdocument%{sover}
%doc AUTHORS COPYING README
%{_libdir}/libxreaderdocument.so.%{sover}*

%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/

%files -n nemo-extension-%{name}
%dir %{_datadir}/nemo/extensions/
%{_datadir}/nemo/extensions/libxreader-properties-page.nemo-extension
%{_libdir}/nemo/

%if 0%{?suse_version} > 1320 || (0%{?sle_version} > 120200 && 0%{?is_opensuse})
%files -n caja-extension-%{name}
%dir %{_datadir}/caja/extensions/
%{_datadir}/caja/extensions/libxreader-properties-page.caja-extension
%{_libdir}/caja/
%endif

%files -n %{typelib1}
%{_libdir}/girepository-1.0/XreaderDocument-1.5.typelib

%files -n %{typelib2}
%{_libdir}/girepository-1.0/XreaderView-1.5.typelib

%files backends
%doc AUTHORS README COPYING
%{_libdir}/%{name}/%{sover}/backends/

%changelog
* Sun Dec 24 2017 sor.alexei@meowr.ru
- Update to version 1.6.2:
  * configure.ac: Use a major.minor version only for API, this
    broke loading of introspection otherwise, which seems to expect
    only the *-1.5.typelib.
  * Fix searching for a word that is a continuation of a
    non-existent word (gh#linuxmint/xreader#135).
* Fri Nov 24 2017 sor.alexei@meowr.ru
- Update to version 1.6.1:
  * Update translations.
* Sat Nov  4 2017 sor.alexei@meowr.ru
- Update to version 1.6.0:
  * Document that libcaja-extension is required.
  * ATRIL BACKPORTS: comics: Make the files containing
    "--checkpoint-action=" unsupported (#158)
  * previewer: Use GResource for data files.
  * shell: Use GResource for data files.
  * Move custom css to a file compiled as a gresource.
  * ev-view: Fix the Eview background colour, page borders and
    shadow.
  * Fix too bright selection colour during opened context menu.
  * Revert "sometimes info->linearized is not a string" and
    "crash on g_free the address 0 or 1".
  * Avoid deprecated gtk_misc_set_alignment.
  * zoom-control.c: Don't use deprecated
    gtk_combo_box_set_focus_on_click.
  * docs: Add missing EvAnnotation API to sections.txt.
  * eggfindbar: Don't use deprecated GtkAlignment.
  * password-view: Don't use deprecated GtkAlignment.
  * password-view: Replace some GtkStock deprecations.
  * message-area: Replace some GtkStock deprecations.
  * ev-view: Avoid deprecated gtk_drag_begin.
  * shell: Remove unused code from utils.
  * build: Require cairo >= 1.14.0 and drop some old code.
  * Switch zoom buttons in toolbar.
  * Add zoom reset.
  * Move history actions from toolbar to Go menu, bring back
    navigation buttons in the toolbar.
  * Fix typo in previous commit.
  * shell: Use gdbus-codegen for the org.x.reader.Application
    interface.
  * shell: Use gdbus-codegen for the org.x.reader.Window interface.
  * daemon: Use gdbus-codegen for the org.x.reader.Daemon
    interface.
  * Make 100%% zoom level be real life size.
  * Update translations.
* Wed Jun 28 2017 sor.alexei@meowr.ru
- Update to version 1.4.4:
  * Update translations.
* Wed Jun 21 2017 sor.alexei@meowr.ru
- Update to version 1.4.3:
  * shell: Make main window title translatable
    (gh#linuxmint/xreader#39).
  * Fix "Having selected text leads to high cpu load".
  * Fix for "Inverted Colours won't be saved by Save Current
    Settings as Default"
  * Build: Remove unnecessary ev_get_locale_dir().
  * Branding: Use a generic application name.
* Wed May 24 2017 sor.alexei@meowr.ru
- Update to version 1.4.2:
  * Fix gtk-doc with no Caja or no Nemo extension building.
  * Update translations.
- Remove xreader-fix-nocaja-build.patch: merged upstream.
* Wed May 10 2017 jengelh@inai.de
- Update descriptions from current homepage
* Sun May  7 2017 sor.alexei@meowr.ru
- Update to version 1.4.1 (changes since 1.2.2):
  * Documentation: Add INSTALL, update README.
  * document-model: Make dual mode and dual mode odd page left
    mutally exclusive.
  * Split dual mode option into dual mode with odd and even pages
    on the left.
  * Fix case sensitive searching for PDF.
  * Bump poppler version requirement to 0.22.0.
  * comics: Properly open files with special characters in path.
  * comics: Fix MIME type comparisons.
  * comics: Support application/vnd.comicbook+zip MIME type.
  * djvu: Remove unneeded assignment.
  * tiff: Use function from cairo >= 1.6 unconditionally.
  * Add some missing contextual information for translators.
  * djvu: Support the image/vnd.djvu+multipage MIME type.
  * thumbnailer: Skip epub files.
  * Removed deprecated GTK_POLICY_AUTOMATIC.
  * Fix a crash when running with the Broadway Gdk backend.
  * ev-window.c: Remove some gtk version checks.
  * ev-window: Swap out the EggEditable toolbar for a normal
    toolbar.
  * Convert all icons to symbolics.
  * Tweak the fullscreen tool bar to match the style of the main
    tool bar a bit better.
  * annotation-window: Fix the sizes of close and resize icons.
  * build: --disable-caja and --disable-nemo are no longer ignored.
  * libdocument: Add deprecation macros.
  * libdocument: Use the new deprecation macros.
  * libdocument: Add EvAnnotation API using GdkRGBA.
  * shell: Use GdkRGBA for annotations.
  * ev-annotation: Use correct variable names in function prototype.
  * libview: Don't change the font colour of the annotation window.
  * libview: Fix focus on ev_annotation_window.
  * libview: fix annotation window focus change after creation.
  * ev-view: Add pinch/zoom gesture to handle document zooming.
  * ev-view: explicitly require a GtkScrolledWindow as the parent
    widget.
  * ev-view: Add pan gesture to switch page.
  * libview: Ctrl+mouse wheel zoom should be pointer-centred, not
    window-centred.
  * Remove unneeded pkgconfig checks.
  * ev-annotation-window: Fix setting the colour of the window
    border.
  * annotation-properties-dialog: Don't use a header bar.
  * Add a new EvToolbar.
  * ev-window.c: Simplify an if/else.
  * shell: Remove metadata migration code.
  * annotations-sidebar: Clean up the styling.
  * bookmarks-sidebar: Clean up the styling.
  * ev-sidebar: Do a bit of restyling.
  * sidebar-layers: Make it actually usable.
  * ev-page-action-widget: Allow changing pages with mouse wheel
    scrolling.
  * ev-page-action-widget: Update the page number when unfocused.
  * shell: Replace deprecated function call inside the GTK+3 code
    block.
  * cut-n-paste: Set vertical box to be homogeneous in the GTK+3
    code too.
  * ev-view: Properly declare a function.
  * shell: Ditch gimpcellrenderertoggle.
  * toolbar: Make further improvements.
  * Fix for bug #92: Segfault if djvu file gets clicked/moved.
  * djvu: Make empty pages white.
  * djvu: Use dpi of pages to compute scaling factor.
  * djvu: Enable selection highlighting.
  * comics backend: Add support for unarchiver (unar and lsar).
  * Force the X11 Gdk backend.
  * First page should not reloaded.
  * Previously opened page incorrectly restored if it was the last
    one.
  * Remove the GTK+2 code.
  * l10n: Update POT file.
  * Update translations.
- Add xreader-fix-nocaja-build.patch: Fix building with no Caja.
* Wed Mar 29 2017 sor.alexei@meowr.ru
- Add the missing Gtk2 build dependency.
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 1.2.2:
  * Update translations.
* Thu Nov 10 2016 sor.alexei@meowr.ru
- Update to version 1.2.1:
  * Update translations.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * See /usr/share/doc/packages/xreader/changelog
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.8:
  * Fix not saving changes to a dropdown in an embedded form.
  * Remove pixbuf from list of menu keywords.
  * Update translations.
* Wed Jun 22 2016 sor.alexei@meowr.ru
- Update to version 1.0.7:
  * Fix Presentation and Zoom buttons greyed out, if no document
    has been loaded.
  * Show application name in about dialog.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 1.0.6:
  * Update translations.
* Tue May 17 2016 sor.alexei@meowr.ru
- Update to version 1.0.5 (changes since 1.0.3):
  * Fix segfault when opening properties of a PDF file (from the
    reader).
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.3 (changes since 1.0.1):
  * Remove Nemo extension .la files.
  * Don't use gi typelibdir for nemo extension path, use
    libnemo-extension libdir instead.
  * Fix WebKit detection.
  * Fix wrong return type in ev-page-action-widget.c.
  * Update translations.
- Remove xreader-fix-epub.patch, xreader-fix-func-decl.patch: merged
  upstream.
* Wed Feb 10 2016 sor.alexei@meowr.ru
- Initial package, based on atril's package.
